Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1878853 - [External Mode] ceph-external-cluster-details-exporter.py does not tolerate TLS enabled RGW
Summary: [External Mode] ceph-external-cluster-details-exporter.py does not tolerate ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenShift Container Storage
Classification: Red Hat
Component: rook
Version: 4.6
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: OCS 4.6.0
Assignee: Travis Nielsen
QA Contact: aberner
URL:
Whiteboard:
Depends On: 1876852
Blocks: 1882359
TreeView+ depends on / blocked
 
Reported: 2020-09-14 17:03 UTC by Sébastien Han
Modified: 2021-01-05 06:25 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
.RGW endpoints no longer run in `http` mode Previously, external python scripts always tried to see the given RGW endpoint, reachable or not, and TLS enabled `https` URLs were not supported. This compromised security because the user was forced to run RGW endpoints in `http` mode. The external script has been fixed to include `https` URLs reachability check.
Clone Of: 1876852
Environment:
Last Closed: 2020-12-17 06:24:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift/rook/commit/1b17580f39e76faf4fd8c5ab89cd38ab7cb917fd 0 None None None 2020-09-29 10:41:18 UTC
Red Hat Product Errata RHSA-2020:5605 0 None None None 2020-12-17 06:24:35 UTC

Comment 5 aberner 2020-11-25 15:28:35 UTC
OCP: 4.6.0-0.nightly-2020-11-21-194817
OCS: 4.6.0-169.ci
Ceph: 14.2.8-111.el8cp

Comment 6 Mudit Agarwal 2020-12-01 14:12:50 UTC
Arun, please add doc text

Comment 8 errata-xmlrpc 2020-12-17 06:24:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Red Hat OpenShift Container Storage 4.6.0 security, bug fix, enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5605

Comment 9 arun kumar mohan 2021-01-05 06:25:56 UTC
As the 'doc-text' is added, removing the needinfo tag.


Note You need to log in before you can comment on or make changes to this bug.